Skip to Content
The Makinari API repo now includes an MCP Server — connect your AI models directly. View on GitHub →
REST APIRobots

Authentication

Endpoints

Authenticate Instance

POST /api/robots/instance/authenticate

Authenticates a browser instance using a saved authentication session.

Request Body:

  • automation_auth_sessions_id (string, UUID, required): The ID of the saved auth session.
  • instance_id (string, UUID, optional): The ID of the instance.
  • remote_instance_id (string, optional): The remote instance ID.

Note: Requires at least one of instance_id or remote_instance_id.

Save Auth Session

POST /api/robots/auth

Saves a browser authentication session for reuse in future tasks.

Request Body:

  • site_id (string, UUID, required): The ID of the site.
  • auth_type (string, optional): Type of auth (‘cookies’, ‘localStorage’, ‘sessionStorage’, ‘credentials’, ‘oauth’, default: ‘cookies’).
  • instance_id (string, UUID, optional): The ID of the instance.
  • remote_instance_id (string, optional): The remote instance ID.

Note: Requires at least one of instance_id or remote_instance_id.

Last updated on